# Fund a batch group

Funds all transfers in a batch group from a multi-currency account balance. Transfers are paid out immediately.
The batch group must first be completed, and there must be enough funds in the account for the whole batch. Otherwise, an insufficient funds error will be returned.
This endpoint is SCA protected. SCA requirements apply to profiles registered outside of the following regions: US, AU, NZ, SG, CA, MY.
Review the [Strong Customer Authentication guide](/guides/developer/auth-and-security/sca-and-2fa) for more details.

Endpoint: POST /v3/profiles/{profileId}/batch-payments/{batchGroupId}/payments
Security: UserToken, PersonalToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

  - `PersonalToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile that the batch group is associated with.

  - `batchGroupId` (string, required)
    The batch group ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `type` (string, required)
    The method of payment to use.
    Enum: "BALANCE"

## Response 200:

  - `200` (unknown)
    Batch group funded successfully.

## Response 200 fields (application/json):

  - `id` (string)
    Unique batch group ID.
    Example: 54a6bc09-cef9-49a8-9041-f1f0c654cd88

  - `name` (string)
    Descriptive name.
    Example: My batch group

  - `fileName` (string | null)
    If this batch was submitted as a file, this is the given file name.
    Example: null

  - `alreadyPaid` (boolean)
    Not applicable to this use case.
    Example: true

  - `shortId` (integer)
    Not applicable to this use case.
    Example: 12345

  - `userId` (integer)
    The ID of the user who initiated this payment.
    Example: 33333333

  - `profileId` (integer)
    The ID of the profile this payment belongs to.
    Example: 44444444

  - `sourceCurrency` (string)
    The source currency of the batch. Note that if there are insufficient funds, an automatic conversion from another currency can occur.
    Example: GBP

  - `status` (string)
    Current batch group status.
    Enum: "NEW", "COMPLETED", "MARKED_FOR_CANCELLATION", "PROCESSING_CANCEL", "CANCELLED"

  - `groupType` (string)
    Whether this batch was submitted over the API or as a file.
    Enum: "API", "FILE"

  - `transferIds` (array)
    The IDs of all transfers in the group.
    Example: [100001,100002,100003]

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

